# This file will be sourced by the shell bash.
#
# Filename: 10-remove-obsolete-scripts.bash
#
# Copyright (C) 2016-2018 Hartmut Buhrmester
#                         <zo3xaiD8-eiK1iawa@t-online.de>
#
# License
#
#     This file is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published
#     by the Free Software Foundation, either version 3 of the License,
#     or (at your option) any later version.
#
#     This file is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#     General Public License for more details.
#
#     You should have received a copy of the GNU General
#     Public License along with this program.  If not, see
#     <http://www.gnu.org/licenses/>.
#
# Description
#
#     Since  the version 1.1-esr is the initial release for the ESR
#     branch of the new Linux download scripts, this file is almost
#     empty. Only one function to remove "dummy" files is included.

# ========== Functions ====================================================


function remove_dummy_files ()
{
    # Dummy files are inserted, because zip archives can not include
    # empty directories. They can be deleted on the first run.
    find .. -type f -name "dummy.txt" -delete
}

# ========== Commands =====================================================

remove_dummy_files
return 0
